Package org.apache.wiki.diff

## Class DiffProvider.NullDiffProvider

- java.lang.Object
- - org.apache.wiki.diff.DiffProvider.NullDiffProvider

All Implemented Interfaces:
  `WikiProvider`, `DiffProvider`

Enclosing interface:
  DiffProvider

    public static class DiffProvider.NullDiffProvider
    extends java.lang.Object
    implements DiffProvider

If there is no diff provider set, this provider will work instead.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.wiki.diff.DiffProvider

`DiffProvider.NullDiffProvider`

### Field Summary

### Fields inherited from interface org.apache.wiki.api.providers.WikiProvider

`LATEST_VERSION`

### Constructor Summary

Constructors
`NullDiffProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getProviderInfo()`
`void` `initialize​(Engine engine, java.util.Properties properties)`
`java.lang.String` `makeDiffHtml​(Context ctx, java.lang.String oldWikiText, java.lang.String newWikiText)` The return string is to be XHTML compliant ready to display html.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NullDiffProvider

    public NullDiffProvider()

### Method Detail

#### makeDiffHtml

    public java.lang.String makeDiffHtml​(Context ctx,
                                         java.lang.String oldWikiText,
                                         java.lang.String newWikiText)

The return string is to be XHTML compliant ready to display html. No further processing of this text will be done by the wiki engine.

Specified by:
  `makeDiffHtml` in interface `DiffProvider`
Parameters:
  `ctx` - The Wiki Context
  `oldWikiText` - the old text
  `newWikiText` - the new text
Returns:
  An XHTML diff.

#### initialize

    public void initialize​(Engine engine,
                           java.util.Properties properties)
                    throws NoRequiredPropertyException,
                           java.io.IOException

Specified by:
  `initialize` in interface `WikiProvider`
Throws:
  `NoRequiredPropertyException`
  `java.io.IOException`

#### getProviderInfo

    public java.lang.String getProviderInfo()

Specified by:
  `getProviderInfo` in interface `WikiProvider`